## NAME

v.outlier - Removes outliers from vector point data.

## KEYWORDS

vector, statistics

## SYNOPSIS

v.outlier
v.outlier help
v.outlier [-e] input=name output=name outlier=name [qgis=name] [soe=float] [son=float] [lambda_i=float] [thres_o=float] [--overwrite] [--verbose] [--quiet]

### Flags:

-e
  Estimate point density and distance
  Estimate point density and distance for the input vector points within the current region extends and quit
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map
outlier=name
  Name of output outlier vector map
qgis=name
  Name of vector map for visualization in QGIS
soe=float
  Interpolation spline step value in east direction
  Default: 10
son=float
  Interpolation spline step value in north direction
  Default: 10
lambda_i=float
  Tykhonov regularization weight
  Default: 0.1
thres_o=float
  Threshold for the outliers
  Default: 50

## DESCRIPTION

v.outlier removes outliers in a 3D point cloud. By default, the outlier identification is done by a bicubic spline interpolation of the observation with a high regularization parameter and a low resolution in south-north and east-west directions. Those points that differ in an absolute value more than the given threshold from a fixed value, reckoned from its surroundings by the interpolation, are considered as an outlier, and hence are removed. There is a flag to create a vector that can be visualizated by qgis. That means that topology is build and the z coordinate is considered as a category.

## EXAMPLES

### Basic outlier removal

    v.outlier input=vector_map output=vector_output outlier=vector_outlier thres_O=25

In this case, a basic outlier removal is done with a threshold of 25 m.

### Basic outlier removal

    v.outlier -q input=vector_map output=vector_output outlier=vector_outlier qgis=vector_qgis

Now, the outlier removal uses the default threshold and there is also an output vector available for visualizaton in QGIS (http://www.qgis.org).

## NOTES

This module is designed to work with LIDAR data, so not topology is built but in the QGIS output.

## SEE ALSO

v.surf.bspline

## AUTHORS

Original version of the program in GRASS 5.4:
Maria Antonia Brovelli, Massimiliano Cannata, Ulisse Longoni and Mirko Reguzzoni
Updates for GRASS 6:
Roberto Antolin

Last changed: $Date: 2011-09-27 11:02:59 +0200 (út, 27 IX 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team